Package org.kapott.hbci.smartcardio

# Class DDVKeyData

java.lang.Object
org.kapott.hbci.smartcardio.DDVKeyData

public class DDVKeyData extends Object
DDV-Schluesseldaten fuer den DDVPCSC-Passport, basierend auf dem OCF-Code aus HBCI4Java 2.5.8.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`alg`
`int`
`len`
`int`
`num`
`int`
`version`

## Constructor Summary

Constructors
Constructor
Description
`DDVKeyData()`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### num

public int num

### version

public int version

### len

public int len

### alg

public int alg

## Constructor Details

### DDVKeyData

public DDVKeyData()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`
See Also:
  - `Object.toString()`